package com.sd.business.entity.order.vo;

import com.sd.business.entity.order.po.OrderSku;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 订单sku列表查询返回值实体
 *
 * @author
 * @since 2023-12-11
 */
@Getter
@Setter
public class OrderSkuVo extends OrderSku {

    /**
     * sku品号
     */
    private String skuSpecCode;

    /**
     * sku品名
     */
    private String skuSpecName;

    /**
     * bom品号
     */
    private String bomSpecCode;

    /**
     * bom品名
     */
    private String bomSpecName;

    /**
     * 包材配件
     */
    private List<OrderSkuBomVo> orderSkuBomList;

}
