package com.sd.business.service.inventory;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.inventory.dto.InventoryBackupSelectDto;
import com.sd.business.entity.inventory.dto.InventorySelectDto;
import com.sd.business.entity.inventory.po.InventoryBackup;
import com.sd.business.entity.inventory.vo.InventoryBackupVo;


/**
 * <p>
 * 库存快照 服务类
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
public interface InventoryBackupService extends BaseService<InventoryBackup> {

    /**
     * 库存快照分页
     */
    Page<InventoryBackupVo> getPage(InventoryBackupSelectDto dto);

    /**
     * 库存快照导出
     */
    void exportExcel(InventoryBackupSelectDto dto);

    /**
     * 库存日期分组分页
     */
    Page<InventoryBackupVo> groupPage(InventorySelectDto dto);

}
